Module jdk.compiler
Package com.sun.source.tree

# Interface PatternTree

All Superinterfaces:
  `CaseLabelTreePREVIEW`, `Tree`

All Known Subinterfaces:
  `BindingPatternTree`, `GuardedPatternTreePREVIEW`, `ParenthesizedPatternTreePREVIEW`

public interface PatternTree extends Tree, CaseLabelTreePREVIEW
`PatternTree` relies on preview features of the Java platform:

- `PatternTree` refers to one or more reflective preview APIs: `CaseLabelTree`.

Programs can only use `PatternTree` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A tree node used as the base class for the different kinds of patterns.

Since:
  16

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`